<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: &lt;FBSDKShareOpenGraphValueContaining&gt; Protocol Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Instance Methods</a> &#124;
<a href="protocol_f_b_s_d_k_share_open_graph_value_containing-p-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">&lt;FBSDKShareOpenGraphValueContaining&gt; Protocol Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_f_b_s_d_k_share_open_graph_value_container_8h_source.html">FBSDKShareOpenGraphValueContainer.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for &lt;FBSDKShareOpenGraphValueContaining&gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="protocol_f_b_s_d_k_share_open_graph_value_containing-p.png" usemap="#_3CFBSDKShareOpenGraphValueContaining_3E_map" alt=""/>
  <map id="_3CFBSDKShareOpenGraphValueContaining_3E_map" name="_3CFBSDKShareOpenGraphValueContaining_3E_map">
<area href="interface_f_b_s_d_k_share_open_graph_value_container.html" alt="FBSDKShareOpenGraphValueContainer" shape="rect" coords="135,112,395,136"/>
<area href="interface_f_b_s_d_k_share_open_graph_action.html" alt="FBSDKShareOpenGraphAction" shape="rect" coords="0,168,260,192"/>
<area href="interface_f_b_s_d_k_share_open_graph_object.html" alt="FBSDKShareOpenGraphObject" shape="rect" coords="270,168,530,192"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Instance Methods</h2></td></tr>
<tr class="memitem:a296592db96a532877e7a5cce0252bbc6"><td class="memItemLeft" align="right" valign="top">(NSArray *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html#a296592db96a532877e7a5cce0252bbc6">arrayForKey:</a></td></tr>
<tr class="separator:a296592db96a532877e7a5cce0252bbc6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abfda6d737261a5225aa122a93cbe2c4f"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html#abfda6d737261a5225aa122a93cbe2c4f">enumerateKeysAndObjectsUsingBlock:</a></td></tr>
<tr class="separator:abfda6d737261a5225aa122a93cbe2c4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80eba6494b84b59ae6c27775d3a5f81f"><td class="memItemLeft" align="right" valign="top">(NSEnumerator *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html#a80eba6494b84b59ae6c27775d3a5f81f">keyEnumerator</a></td></tr>
<tr class="separator:a80eba6494b84b59ae6c27775d3a5f81f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90d69b7b3128d073821f0cc8bb72a8f7"><td class="memItemLeft" align="right" valign="top">(NSNumber *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html#a90d69b7b3128d073821f0cc8bb72a8f7">numberForKey:</a></td></tr>
<tr class="separator:a90d69b7b3128d073821f0cc8bb72a8f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa449ffe58bd3d27792b6a59bbbc0f571"><td class="memItemLeft" align="right" valign="top">(NSEnumerator *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html#aa449ffe58bd3d27792b6a59bbbc0f571">objectEnumerator</a></td></tr>
<tr class="separator:aa449ffe58bd3d27792b6a59bbbc0f571"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1518ffed79b4dea61403b75fff4fe7d5"><td class="memItemLeft" align="right" valign="top">(<a class="el" href="interface_f_b_s_d_k_share_open_graph_object.html">FBSDKShareOpenGraphObject</a> *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html#a1518ffed79b4dea61403b75fff4fe7d5">objectForKey:</a></td></tr>
<tr class="separator:a1518ffed79b4dea61403b75fff4fe7d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f5dd5bfdff32ca96e158518697f5b5b"><td class="memItemLeft" align="right" valign="top">(id)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html#a2f5dd5bfdff32ca96e158518697f5b5b">objectForKeyedSubscript:</a></td></tr>
<tr class="separator:a2f5dd5bfdff32ca96e158518697f5b5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a695bc758d53d5d672f6f81d3b35d784d"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html#a695bc758d53d5d672f6f81d3b35d784d">parseProperties:</a></td></tr>
<tr class="separator:a695bc758d53d5d672f6f81d3b35d784d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9750f9a444b9bb2d0a4f48603c903ce"><td class="memItemLeft" align="right" valign="top">(<a class="el" href="interface_f_b_s_d_k_share_photo.html">FBSDKSharePhoto</a> *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html#ae9750f9a444b9bb2d0a4f48603c903ce">photoForKey:</a></td></tr>
<tr class="separator:ae9750f9a444b9bb2d0a4f48603c903ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18252524450570cb538c94abe1353f83"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html#a18252524450570cb538c94abe1353f83">removeObjectForKey:</a></td></tr>
<tr class="separator:a18252524450570cb538c94abe1353f83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40c594792864dc8dd797a3e95a540d30"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html#a40c594792864dc8dd797a3e95a540d30">setArray:forKey:</a></td></tr>
<tr class="separator:a40c594792864dc8dd797a3e95a540d30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ec6ad86f7f8708a56542566dc4d1b0f"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html#a9ec6ad86f7f8708a56542566dc4d1b0f">setNumber:forKey:</a></td></tr>
<tr class="separator:a9ec6ad86f7f8708a56542566dc4d1b0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a2936dc93e124d94c6d063b3724612d"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html#a0a2936dc93e124d94c6d063b3724612d">setObject:forKey:</a></td></tr>
<tr class="separator:a0a2936dc93e124d94c6d063b3724612d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae004c69212d9d9d561d0e3912ad025ae"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html#ae004c69212d9d9d561d0e3912ad025ae">setPhoto:forKey:</a></td></tr>
<tr class="separator:ae004c69212d9d9d561d0e3912ad025ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf69ea722af192b6636f3a0ddcfdb235"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html#adf69ea722af192b6636f3a0ddcfdb235">setString:forKey:</a></td></tr>
<tr class="separator:adf69ea722af192b6636f3a0ddcfdb235"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adcd4975df409cfcc8f9a585f1e6abf37"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html#adcd4975df409cfcc8f9a585f1e6abf37">setURL:forKey:</a></td></tr>
<tr class="separator:adcd4975df409cfcc8f9a585f1e6abf37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11906a21c6657a4c7028b324918c3e81"><td class="memItemLeft" align="right" valign="top">(NSString *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html#a11906a21c6657a4c7028b324918c3e81">stringForKey:</a></td></tr>
<tr class="separator:a11906a21c6657a4c7028b324918c3e81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21f89dae3641363d84d29100739c044c"><td class="memItemLeft" align="right" valign="top">(NSURL *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html#a21f89dae3641363d84d29100739c044c">URLForKey:</a></td></tr>
<tr class="separator:a21f89dae3641363d84d29100739c044c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Protocol defining operations on open graph actions and objects.</p>
<p>The property keys MUST have namespaces specified on them, such as <code>og:image</code>. </p>
</div><h2 class="groupheader">Method Documentation</h2>
<a id="a296592db96a532877e7a5cce0252bbc6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a296592db96a532877e7a5cce0252bbc6">&#9670;&nbsp;</a></span>arrayForKey:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (NSArray *) arrayForKey: </td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>key</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Gets an NSArray out of the receiver.</p><ul>
<li>Parameter key: The key for the value</li>
<li>Returns: The NSArray value or nil </li>
</ul>

</div>
</div>
<a id="abfda6d737261a5225aa122a93cbe2c4f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abfda6d737261a5225aa122a93cbe2c4f">&#9670;&nbsp;</a></span>enumerateKeysAndObjectsUsingBlock:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) enumerateKeysAndObjectsUsingBlock: </td>
          <td></td>
          <td class="paramtype">(void(^)(NSString *key, id object, BOOL *stop))&#160;</td>
          <td class="paramname"><em>block</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Applies a given block object to the entries of the receiver.</p><ul>
<li>Parameter block: A block object to operate on entries in the receiver </li>
</ul>

</div>
</div>
<a id="a80eba6494b84b59ae6c27775d3a5f81f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a80eba6494b84b59ae6c27775d3a5f81f">&#9670;&nbsp;</a></span>keyEnumerator()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (NSEnumerator *) keyEnumerator </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Returns an enumerator object that lets you access each key in the receiver.</p><ul>
<li>Returns: An enumerator object that lets you access each key in the receiver </li>
</ul>

</div>
</div>
<a id="a90d69b7b3128d073821f0cc8bb72a8f7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a90d69b7b3128d073821f0cc8bb72a8f7">&#9670;&nbsp;</a></span>numberForKey:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (NSNumber *) numberForKey: </td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>key</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Gets an NSNumber out of the receiver.</p><ul>
<li>Parameter key: The key for the value</li>
<li>Returns: The NSNumber value or nil </li>
</ul>

</div>
</div>
<a id="aa449ffe58bd3d27792b6a59bbbc0f571"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa449ffe58bd3d27792b6a59bbbc0f571">&#9670;&nbsp;</a></span>objectEnumerator()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (NSEnumerator *) objectEnumerator </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Returns an enumerator object that lets you access each value in the receiver.</p><ul>
<li>Returns: An enumerator object that lets you access each value in the receiver </li>
</ul>

</div>
</div>
<a id="a1518ffed79b4dea61403b75fff4fe7d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1518ffed79b4dea61403b75fff4fe7d5">&#9670;&nbsp;</a></span>objectForKey:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (<a class="el" href="interface_f_b_s_d_k_share_open_graph_object.html">FBSDKShareOpenGraphObject</a> *) objectForKey: </td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>key</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Gets an <a class="el" href="interface_f_b_s_d_k_share_open_graph_object.html">FBSDKShareOpenGraphObject</a> out of the receiver.</p><ul>
<li>Parameter key: The key for the value</li>
<li>Returns: The <a class="el" href="interface_f_b_s_d_k_share_open_graph_object.html">FBSDKShareOpenGraphObject</a> value or nil </li>
</ul>

</div>
</div>
<a id="a2f5dd5bfdff32ca96e158518697f5b5b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f5dd5bfdff32ca96e158518697f5b5b">&#9670;&nbsp;</a></span>objectForKeyedSubscript:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (id) objectForKeyedSubscript: </td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>key</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Enables subscript access to the values in the receiver.</p><ul>
<li>Parameter key: The key for the value</li>
<li>Returns: The value </li>
</ul>

</div>
</div>
<a id="a695bc758d53d5d672f6f81d3b35d784d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a695bc758d53d5d672f6f81d3b35d784d">&#9670;&nbsp;</a></span>parseProperties:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) parseProperties: </td>
          <td></td>
          <td class="paramtype">(NSDictionary *)&#160;</td>
          <td class="paramname"><em>properties</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Parses properties out of a dictionary into the receiver.</p><ul>
<li>Parameter properties: The properties to parse. </li>
</ul>

</div>
</div>
<a id="ae9750f9a444b9bb2d0a4f48603c903ce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9750f9a444b9bb2d0a4f48603c903ce">&#9670;&nbsp;</a></span>photoForKey:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (<a class="el" href="interface_f_b_s_d_k_share_photo.html">FBSDKSharePhoto</a> *) photoForKey: </td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>key</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Gets an <a class="el" href="interface_f_b_s_d_k_share_photo.html">FBSDKSharePhoto</a> out of the receiver.</p><ul>
<li>Parameter key: The key for the value</li>
<li>Returns: The <a class="el" href="interface_f_b_s_d_k_share_photo.html">FBSDKSharePhoto</a> value or nil </li>
</ul>

</div>
</div>
<a id="a18252524450570cb538c94abe1353f83"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a18252524450570cb538c94abe1353f83">&#9670;&nbsp;</a></span>removeObjectForKey:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) removeObjectForKey: </td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>key</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Removes a value from the receiver for the specified key.</p><ul>
<li>Parameter key: The key for the value </li>
</ul>

</div>
</div>
<a id="a40c594792864dc8dd797a3e95a540d30"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a40c594792864dc8dd797a3e95a540d30">&#9670;&nbsp;</a></span>setArray:forKey:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) setArray: </td>
          <td></td>
          <td class="paramtype">(NSArray *)&#160;</td>
          <td class="paramname"><em>array</em></td>
        </tr>
        <tr>
          <td class="paramkey">forKey:</td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>key</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets an NSArray on the receiver.</p>
<p>This method will throw if the array contains any values that is not an NSNumber, NSString, NSURL, <a class="el" href="interface_f_b_s_d_k_share_photo.html">FBSDKSharePhoto</a> or <a class="el" href="interface_f_b_s_d_k_share_open_graph_object.html">FBSDKShareOpenGraphObject</a>.</p><ul>
<li>Parameter array: The NSArray value</li>
<li>Parameter key: The key for the value </li>
</ul>

</div>
</div>
<a id="a9ec6ad86f7f8708a56542566dc4d1b0f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ec6ad86f7f8708a56542566dc4d1b0f">&#9670;&nbsp;</a></span>setNumber:forKey:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) setNumber: </td>
          <td></td>
          <td class="paramtype">(NSNumber *)&#160;</td>
          <td class="paramname"><em>number</em></td>
        </tr>
        <tr>
          <td class="paramkey">forKey:</td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>key</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets an NSNumber on the receiver.</p><ul>
<li>Parameter number: The NSNumber value</li>
<li>Parameter key: The key for the value </li>
</ul>

</div>
</div>
<a id="a0a2936dc93e124d94c6d063b3724612d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a2936dc93e124d94c6d063b3724612d">&#9670;&nbsp;</a></span>setObject:forKey:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) setObject: </td>
          <td></td>
          <td class="paramtype">(<a class="el" href="interface_f_b_s_d_k_share_open_graph_object.html">FBSDKShareOpenGraphObject</a> *)&#160;</td>
          <td class="paramname"><em>object</em></td>
        </tr>
        <tr>
          <td class="paramkey">forKey:</td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>key</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets an <a class="el" href="interface_f_b_s_d_k_share_open_graph_object.html">FBSDKShareOpenGraphObject</a> on the receiver.</p><ul>
<li>Parameter object: The <a class="el" href="interface_f_b_s_d_k_share_open_graph_object.html">FBSDKShareOpenGraphObject</a> value</li>
<li>Parameter key: The key for the value </li>
</ul>

</div>
</div>
<a id="ae004c69212d9d9d561d0e3912ad025ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae004c69212d9d9d561d0e3912ad025ae">&#9670;&nbsp;</a></span>setPhoto:forKey:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) setPhoto: </td>
          <td></td>
          <td class="paramtype">(<a class="el" href="interface_f_b_s_d_k_share_photo.html">FBSDKSharePhoto</a> *)&#160;</td>
          <td class="paramname"><em>photo</em></td>
        </tr>
        <tr>
          <td class="paramkey">forKey:</td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>key</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets an <a class="el" href="interface_f_b_s_d_k_share_photo.html">FBSDKSharePhoto</a> on the receiver.</p><ul>
<li>Parameter photo: The <a class="el" href="interface_f_b_s_d_k_share_photo.html">FBSDKSharePhoto</a> value</li>
<li>Parameter key: The key for the value </li>
</ul>

</div>
</div>
<a id="adf69ea722af192b6636f3a0ddcfdb235"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adf69ea722af192b6636f3a0ddcfdb235">&#9670;&nbsp;</a></span>setString:forKey:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) setString: </td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>string</em></td>
        </tr>
        <tr>
          <td class="paramkey">forKey:</td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>key</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets an NSString on the receiver.</p><ul>
<li>Parameter string: The NSString value</li>
<li>Parameter key: The key for the value </li>
</ul>

</div>
</div>
<a id="adcd4975df409cfcc8f9a585f1e6abf37"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adcd4975df409cfcc8f9a585f1e6abf37">&#9670;&nbsp;</a></span>setURL:forKey:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) setURL: </td>
          <td></td>
          <td class="paramtype">(NSURL *)&#160;</td>
          <td class="paramname"><em>URL</em></td>
        </tr>
        <tr>
          <td class="paramkey">forKey:</td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>key</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets an NSURL on the receiver.</p><ul>
<li>Parameter URL: The NSURL value</li>
<li>Parameter key: The key for the value </li>
</ul>

</div>
</div>
<a id="a11906a21c6657a4c7028b324918c3e81"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a11906a21c6657a4c7028b324918c3e81">&#9670;&nbsp;</a></span>stringForKey:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (NSString *) stringForKey: </td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>key</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Gets an NSString out of the receiver.</p><ul>
<li>Parameter key: The key for the value</li>
<li>Returns: The NSString value or nil </li>
</ul>

</div>
</div>
<a id="a21f89dae3641363d84d29100739c044c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a21f89dae3641363d84d29100739c044c">&#9670;&nbsp;</a></span>URLForKey:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (NSURL *) URLForKey: </td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>key</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Gets an NSURL out of the receiver.</p><ul>
<li>Parameter key: The key for the value</li>
<li>Returns: The NSURL value or nil </li>
</ul>

</div>
</div>
<hr/>The documentation for this protocol was generated from the following file:<ul>
<li><a class="el" href="_f_b_s_d_k_share_open_graph_value_container_8h_source.html">FBSDKShareOpenGraphValueContainer.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
